
Foreman - Bug #4548

[foretello] cannot search organization by title

03/05/2014 02:31 AM - Thomas McKay

Status: Resolved   

Priority: Urgent   

Assignee: Amos Benari   

Category: Plugin integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This issue only appears in foretello mode but is related to core organization model.

Entering "title =" into the UI widget generates the following error.

Organization Load (0.3ms)  SELECT DISTINCT "taxonomies".title FROM "taxonomies" WHERE "taxonomies"."type" IN

('Organization') ORDER BY title LIMIT 20

Completed 500 Internal Server Error in 19.4ms

ActiveModel::MissingAttributeError (missing attribute: default_info):

app/controllers/concerns/foreman/controller/auto_complete_search.rb:7:in `auto_complete_search'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Search via API is same.

Commenting out the default_info in the organization extension leads to another error, but I am unsure if it is relevant.

Organization Load (0.4ms)  SELECT "taxonomies".* FROM "taxonomies" WHERE "taxonomies"."type" IN ('

Organization') AND "taxonomies"."id" = 1 ORDER BY title LIMIT 1

Completed 500 Internal Server Error in 14.3ms

 TypeError (can't convert Array into String):

app/controllers/application_controller.rb:342:in `set_taxonomy'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

This is a blocker issue for searching via API as it prevents getting org id.

Unsure what redmine category this falls into

Related issues:

Related to Foreman - Bug #4789: search auto completer on progress many times ... Duplicate 03/24/2014

History

#1 - 03/05/2014 09:13 AM - Dominic Cleal

- Category set to 47

#2 - 03/20/2014 08:02 PM - Ohad Levy

- Assignee set to Amos Benari

Amos, do you have an idea how to solve this? this is generated by a scoped search query for the auto completer, where the ORDER and the

SELECT query different fields.

#3 - 03/24/2014 07:53 AM - Ohad Levy
- Related to Bug #4789: search auto completer on progress many times fail added

#4 - 03/26/2014 09:12 PM - Amos Benari

- Status changed from New to Ready For Testing

Can you test if scoped_search 2.7.1 fixes the issue?

#5 - 06/02/2014 08:16 PM - Thomas McKay

- Status changed from Ready For Testing to Resolved

This is no longer an issue

#6 - 03/16/2020 03:11 PM - Tomer Brisker

- Category changed from 47 to Plugin integration
